lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Date:   Fri, 08 Jan 2021 03:10:03 -0800
From:   "Christopher William Snowhill" <chris@...e54.net>
To:     linux-kernel@...r.kernel.org
Subject: Re: Linux 5.11-rc2

There appears to be a regression with the filesystem NLS modules. I cannot load any of them. They all produce:

modprobe: ERROR: could not insert 'nls_cp437': Invalid argument

The system journal reports:

Jan 08 02:04:56 mrgency kernel: BPF:No data
Jan 08 02:04:56 mrgency kernel: failed to validate module [nls_cp437] BTF: -22

As a result, I cannot mount vfat filesystems with the usual CP437 default. Or any other code page, for that matter.

Powered by blists - more mailing lists